package com.seatel.mobilehall.ui.home.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class ValuePackTableModel implements Serializable {

    @SerializedName("valuePrice")
    @Expose
    private String valuePrice;
    @SerializedName("priceChange")
    @Expose
    private String priceChange;
    @SerializedName("validityDate")
    @Expose
    private String validityDate;

    @SerializedName("activation")
    @Expose
    private String activation;

    @SerializedName("callsms")
    @Expose
    private List<String> callsmsList = null;

    @SerializedName("code")
    @Expose
    private String code;

    @SerializedName("title")
    @Expose
    private String title;

    @SerializedName("icon")
    @Expose
    private String icon;

    @SerializedName("activateBtn")
    @Expose
    private Boolean activateBtn;

    @SerializedName("benefitOffer")
    @Expose
    private String benefitOffer;


    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getActivation() {
        return activation;
    }

    public void setActivation(String activation) {
        this.activation = activation;
    }

    public String getValuePrice() {
        return valuePrice;
    }

    public String getPriceChange() {
        return priceChange;
    }

    public String getValidityDate() {
        return validityDate;
    }

    public void setValuePrice(String valuePrice) {
        this.valuePrice = valuePrice;
    }

    public void setPriceChange(String priceChange) {
        this.priceChange = priceChange;
    }

    public void setValidityDate(String validityDate) {
        this.validityDate = validityDate;
    }

    public List<String> getCallsmsList() {
        return callsmsList;
    }

    public void setCallsmsList(List<String> callsmsList) {
        this.callsmsList = callsmsList;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Boolean getActivateBtn() {
        return activateBtn;
    }

    public void setActivateBtn(Boolean activateBtn) {
        this.activateBtn = activateBtn;
    }

    public String getBenefitOffer() {
        return benefitOffer;
    }

    public void setBenefitOffer(String benefitOffer) {
        this.benefitOffer = benefitOffer;
    }
}
